<div class="container">
  <std-card card-title="CPA uploaden">

    <div *ngIf="validationErrorMessage">
      <h3>Error</h3>
      <h4 class="text-danger">{{validationErrorMessage}}</h4>
    </div>

    <div *ngIf="uploadErrorMessage">
      <h3>Error</h3>
      <h4 class="text-danger">{{uploadErrorMessage}}</h4>
    </div>

    <div class="content-page" *ngIf="successLabel">
      <strong style="color:green">{{ successLabel }}</strong>
    </div>

    <form novalidate [formGroup]="cpaUploadForm" #uploadform="ngForm">

      <std-kv-table>
        <div slot="key-1">CPA bestand</div>
        <div slot="value-1"><input formControlName="fileName" #fileInput type="file" id="cpa-file" (change)="validateCPA($event)" accept=".xml"></div>
    
        <!-- Always overwrite for now 
      <div slot="key-2"><label class="form-check-label" for="overwriteCheckbox">Overwrite?</label></div>
      <div slot="value-2"><input class="form-check-input" type="checkbox" value="" id="overwriteCheckbox"></div> 
    -->
      </std-kv-table>

      <std-button type="primary" [disabled]="isDisabled" (click)="onSubmit()">Upload</std-button>
      &nbsp;
      <std-button type="primary" (click)="onReset()">Reset</std-button>

    </form>

  </std-card>
</div>